:root,
[data-bs-theme=light] {
    --bs-blue: #0d6efd;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-black: #000;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;
    --bs-dark-green: #007852;
    --bs-light-green: #00ae9e;
    --bs-dark-gold: #9a7e33;
    --bs-light-gold: #c8a244;
    --bs-primary: #027954;
    --bs-secondary: #b88c1d;
    --bs-success: #198754;
    --bs-info: #0dcaf0;
    --bs-warning: #ffc107;
    --bs-danger: #dc3545;
    --bs-light: #f8f9fa;
    --bs-dark: #212529;
    --bs-dark-green-rgb: 0, 120, 82;
    --bs-light-green-rgb: 0, 174, 158;
    --bs-dark-gold-rgb: 154, 126, 51;
    --bs-light-gold-rgb: 200, 162, 68;
    --bs-primary-rgb: 2, 121, 84;
    --bs-secondary-rgb: 184, 140, 29;
    --bs-success-rgb: 25, 135, 84;
    --bs-info-rgb: 13, 202, 240;
    --bs-warning-rgb: 255, 193, 7;
    --bs-danger-rgb: 220, 53, 69;
    --bs-light-rgb: 248, 249, 250;
    --bs-dark-rgb: 33, 37, 41;
    --bs-primary-text-emphasis: #013022;
    --bs-secondary-text-emphasis: #4a380c;
    --bs-success-text-emphasis: #0a3622;
    --bs-info-text-emphasis: #055160;
    --bs-warning-text-emphasis: #664d03;
    --bs-danger-text-emphasis: #58151c;
    --bs-light-text-emphasis: #495057;
    --bs-dark-text-emphasis: #495057;
    --bs-primary-bg-subtle: #cce4dd;
    --bs-secondary-bg-subtle: #f1e8d2;
    --bs-success-bg-subtle: #d1e7dd;
    --bs-info-bg-subtle: #cff4fc;
    --bs-warning-bg-subtle: #fff3cd;
    --bs-danger-bg-subtle: #f8d7da;
    --bs-light-bg-subtle: #fcfcfd;
    --bs-dark-bg-subtle: #ced4da;
    --bs-primary-border-subtle: #9ac9bb;
    --bs-secondary-border-subtle: #e3d1a5;
    --bs-success-border-subtle: #a3cfbb;
    --bs-info-border-subtle: #9eeaf9;
    --bs-warning-border-subtle: #ffe69c;
    --bs-danger-border-subtle: #f1aeb5;
    --bs-light-border-subtle: #e9ecef;
    --bs-dark-border-subtle: #adb5bd;
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-font-sans-serif: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    --bs-body-color: #212529;
    --bs-body-color-rgb: 33, 37, 41;
    --bs-body-bg: #fff;
    --bs-body-bg-rgb: 255, 255, 255;
    --bs-emphasis-color: #000;
    --bs-emphasis-color-rgb: 0, 0, 0;
    --bs-secondary-color: rgba(33, 37, 41, 0.75);
    --bs-secondary-color-rgb: 33, 37, 41;
    --bs-secondary-bg: #e9ecef;
    --bs-secondary-bg-rgb: 233, 236, 239;
    --bs-tertiary-color: rgba(33, 37, 41, 0.5);
    --bs-tertiary-color-rgb: 33, 37, 41;
    --bs-tertiary-bg: #f8f9fa;
    --bs-tertiary-bg-rgb: 248, 249, 250;
    --bs-heading-color: inherit;
    --bs-link-color: #027954;
    --bs-link-color-rgb: 2, 121, 84;
    --bs-link-decoration: underline;
    --bs-link-hover-color: #027954;
    --bs-link-hover-color-rgb: 2, 121, 84;
    --bs-code-color: #d63384;
    --bs-highlight-bg: #fff3cd;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #dee2e6;
    --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
    --bs-border-radius: 0.375rem;
    --bs-border-radius-sm: 0.25rem;
    --bs-border-radius-lg: 0.5rem;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-xxl: 2rem;
    --bs-border-radius-2xl: var(--bs-border-radius-xxl);
    --bs-border-radius-pill: 50rem;
    --bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
    --bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    --bs-focus-ring-width: 0.25rem;
    --bs-focus-ring-opacity: 0.25;
    --bs-focus-ring-color: rgba(2, 121, 84, 0.25);
    --bs-form-valid-color: #198754;
    --bs-form-valid-border-color: #198754;
    --bs-form-invalid-color: #dc3545;
    --bs-form-invalid-border-color: #dc3545;
}

[data-bs-theme=dark] {
    color-scheme: dark;
    --bs-body-color: #adb5bd;
    --bs-body-color-rgb: 173, 181, 189;
    --bs-body-bg: #212529;
    --bs-body-bg-rgb: 33, 37, 41;
    --bs-emphasis-color: #fff;
    --bs-emphasis-color-rgb: 255, 255, 255;
    --bs-secondary-color: rgba(173, 181, 189, 0.75);
    --bs-secondary-color-rgb: 173, 181, 189;
    --bs-secondary-bg: #343a40;
    --bs-secondary-bg-rgb: 52, 58, 64;
    --bs-tertiary-color: rgba(173, 181, 189, 0.5);
    --bs-tertiary-color-rgb: 173, 181, 189;
    --bs-tertiary-bg: #2b3035;
    --bs-tertiary-bg-rgb: 43, 48, 53;
    --bs-primary-text-emphasis: #67af98;
    --bs-secondary-text-emphasis: #d4ba77;
    --bs-success-text-emphasis: #75b798;
    --bs-info-text-emphasis: #6edff6;
    --bs-warning-text-emphasis: #ffda6a;
    --bs-danger-text-emphasis: #ea868f;
    --bs-light-text-emphasis: #f8f9fa;
    --bs-dark-text-emphasis: #dee2e6;
    --bs-primary-bg-subtle: #001811;
    --bs-secondary-bg-subtle: #251c06;
    --bs-success-bg-subtle: #051b11;
    --bs-info-bg-subtle: #032830;
    --bs-warning-bg-subtle: #332701;
    --bs-danger-bg-subtle: #2c0b0e;
    --bs-light-bg-subtle: #343a40;
    --bs-dark-bg-subtle: #1a1d20;
    --bs-primary-border-subtle: #014932;
    --bs-secondary-border-subtle: #6e5411;
    --bs-success-border-subtle: #0f5132;
    --bs-info-border-subtle: #087990;
    --bs-warning-border-subtle: #997404;
    --bs-danger-border-subtle: #842029;
    --bs-light-border-subtle: #495057;
    --bs-dark-border-subtle: #343a40;
    --bs-heading-color: inherit;
    --bs-link-color: #027954;
    --bs-link-hover-color: #027954;
    --bs-link-color-rgb: 2, 121, 84;
    --bs-link-hover-color-rgb: 2, 121, 84;
    --bs-code-color: #e685b5;
    --bs-border-color: #495057;
    --bs-border-color-translucent: rgba(255, 255, 255, 0.15);
    --bs-form-valid-color: #75b798;
    --bs-form-valid-border-color: #75b798;
    --bs-form-invalid-color: #ea868f;
    --bs-form-invalid-border-color: #ea868f;
}

.bg-dark-green {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-dark-green-rgb), var(--bs-bg-opacity)) !important;
}

.bg-light-green {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-light-green-rgb), var(--bs-bg-opacity)) !important;
}

.bg-dark-gold {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-dark-gold-rgb), var(--bs-bg-opacity)) !important;
}

.bg-light-gold {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-light-gold-rgb), var(--bs-bg-opacity)) !important;
}

.bg-primary {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-primary-rgb), var(--bs-bg-opacity)) !important;
}

.bg-secondary {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-secondary-rgb), var(--bs-bg-opacity)) !important;
}

/* Button */

.btn-dark-green {
  --bs-btn-color: #fff;
  --bs-btn-bg: #007852;
  --bs-btn-border-color: #007852;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #006646;
  --bs-btn-hover-border-color: #006042;
  --bs-btn-focus-shadow-rgb: 38, 140, 108;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #006042;
  --bs-btn-active-border-color: #005a3e;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #007852;
  --bs-btn-disabled-border-color: #007852;
}

.btn-light-green {
  --bs-btn-color: #000;
  --bs-btn-bg: #00ae9e;
  --bs-btn-border-color: #00ae9e;
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: #26baad;
  --bs-btn-hover-border-color: #1ab6a8;
  --bs-btn-focus-shadow-rgb: 0, 148, 134;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #33beb1;
  --bs-btn-active-border-color: #1ab6a8;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #00ae9e;
  --bs-btn-disabled-border-color: #00ae9e;
}

.btn-dark-gold {
  --bs-btn-color: #000;
  --bs-btn-bg: #9a7e33;
  --bs-btn-border-color: #9a7e33;
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: #a99152;
  --bs-btn-hover-border-color: #a48b47;
  --bs-btn-focus-shadow-rgb: 131, 107, 43;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #ae985c;
  --bs-btn-active-border-color: #a48b47;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #9a7e33;
  --bs-btn-disabled-border-color: #9a7e33;
}

.btn-light-gold {
  --bs-btn-color: #000;
  --bs-btn-bg: #c8a244;
  --bs-btn-border-color: #c8a244;
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: #d0b060;
  --bs-btn-hover-border-color: #ceab57;
  --bs-btn-focus-shadow-rgb: 170, 138, 58;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #d3b569;
  --bs-btn-active-border-color: #ceab57;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #c8a244;
  --bs-btn-disabled-border-color: #c8a244;
}

.btn-outline-dark-green {
  --bs-btn-color: #007852;
  --bs-btn-border-color: #007852;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #007852;
  --bs-btn-hover-border-color: #007852;
  --bs-btn-focus-shadow-rgb: 0, 120, 82;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #007852;
  --bs-btn-active-border-color: #007852;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #007852;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #007852;
  --bs-gradient: none;
}

.btn-outline-light-green {
  --bs-btn-color: #00ae9e;
  --bs-btn-border-color: #00ae9e;
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: #00ae9e;
  --bs-btn-hover-border-color: #00ae9e;
  --bs-btn-focus-shadow-rgb: 0, 174, 158;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #00ae9e;
  --bs-btn-active-border-color: #00ae9e;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #00ae9e;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #00ae9e;
  --bs-gradient: none;
}

.btn-outline-dark-gold {
  --bs-btn-color: #9a7e33;
  --bs-btn-border-color: #9a7e33;
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: #9a7e33;
  --bs-btn-hover-border-color: #9a7e33;
  --bs-btn-focus-shadow-rgb: 154, 126, 51;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #9a7e33;
  --bs-btn-active-border-color: #9a7e33;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #9a7e33;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #9a7e33;
  --bs-gradient: none;
}

.btn-outline-light-gold {
  --bs-btn-color: #c8a244;
  --bs-btn-border-color: #c8a244;
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: #c8a244;
  --bs-btn-hover-border-color: #c8a244;
  --bs-btn-focus-shadow-rgb: 200, 162, 68;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #c8a244;
  --bs-btn-active-border-color: #c8a244;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #c8a244;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #c8a244;
  --bs-gradient: none;
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #027954;
  --bs-btn-border-color: #027954;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #026747;
  --bs-btn-hover-border-color: #026143;
  --bs-btn-focus-shadow-rgb: 40, 141, 110;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #026143;
  --bs-btn-active-border-color: #025b3f;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #027954;
  --bs-btn-disabled-border-color: #027954;
}

.btn-secondary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #b88c1d;
  --bs-btn-border-color: #b88c1d;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #b88214;
  --bs-btn-hover-border-color: #bf9834;
  --bs-btn-focus-shadow-rgb: 156, 119, 25;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #c6a34a;
  --bs-btn-active-border-color: #bf9834;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #b88c1d;
  --bs-btn-disabled-border-color: #b88c1d;
}

/* Table */

.table {
  --bs-table-color-type: initial;
  --bs-table-bg-type: initial;
  --bs-table-color-state: initial;
  --bs-table-bg-state: initial;
  --bs-table-color: var(--bs-body-color);
  --bs-table-bg: var(--bs-body-bg);
  --bs-table-border-color: var(--bs-border-color);
  --bs-table-accent-bg: transparent;
  --bs-table-striped-color: var(--bs-body-color);
  --bs-table-striped-bg: rgba(0, 0, 0, 0.05);
  --bs-table-active-color: var(--bs-body-color);
  --bs-table-active-bg: rgba(0, 0, 0, 0.1);
  --bs-table-hover-color: var(--bs-body-color);
  --bs-table-hover-bg: rgba(0, 0, 0, 0.075);
}

.table-primary {
  --bs-table-color: #000;
  --bs-table-bg: #cce4dd;
  --bs-table-border-color: #b8cdc7;
  --bs-table-striped-bg: #c2d9d2;
  --bs-table-striped-color: #000;
  --bs-table-active-bg: #b8cdc7;
  --bs-table-active-color: #000;
  --bs-table-hover-bg: #bdd3cc;
  --bs-table-hover-color: #000;
}

.table-secondary {
  --bs-table-color: #000;
  --bs-table-bg: #f1e8d2;
  --bs-table-border-color: #d9d1bd;
  --bs-table-striped-bg: #e5dcc8;
  --bs-table-striped-color: #000;
  --bs-table-active-bg: #d9d1bd;
  --bs-table-active-color: #000;
  --bs-table-hover-bg: #dfd7c2;
  --bs-table-hover-color: #000;
}

.table-success {
  --bs-table-color: #000;
  --bs-table-bg: #d1e7dd;
  --bs-table-border-color: #bcd0c7;
  --bs-table-striped-bg: #c7dbd2;
  --bs-table-striped-color: #000;
  --bs-table-active-bg: #bcd0c7;
  --bs-table-active-color: #000;
  --bs-table-hover-bg: #c1d6cc;
  --bs-table-hover-color: #000;
}

.table-info {
  --bs-table-color: #000;
  --bs-table-bg: #cff4fc;
  --bs-table-border-color: #badce3;
  --bs-table-striped-bg: #c5e8ef;
  --bs-table-striped-color: #000;
  --bs-table-active-bg: #badce3;
  --bs-table-active-color: #000;
  --bs-table-hover-bg: #bfe2e9;
  --bs-table-hover-color: #000;
}

.table-warning {
  --bs-table-color: #000;
  --bs-table-bg: #fff3cd;
  --bs-table-border-color: #e6dbb9;
  --bs-table-striped-bg: #f2e7c3;
  --bs-table-striped-color: #000;
  --bs-table-active-bg: #e6dbb9;
  --bs-table-active-color: #000;
  --bs-table-hover-bg: #ece1be;
  --bs-table-hover-color: #000;
}

.table-danger {
  --bs-table-color: #000;
  --bs-table-bg: #f8d7da;
  --bs-table-border-color: #dfc2c4;
  --bs-table-striped-bg: #eccccf;
  --bs-table-striped-color: #000;
  --bs-table-active-bg: #dfc2c4;
  --bs-table-active-color: #000;
  --bs-table-hover-bg: #e5c7ca;
  --bs-table-hover-color: #000;
}

.table-light {
  --bs-table-color: #000;
  --bs-table-bg: #f8f9fa;
  --bs-table-border-color: #dfe0e1;
  --bs-table-striped-bg: #ecedee;
  --bs-table-striped-color: #000;
  --bs-table-active-bg: #dfe0e1;
  --bs-table-active-color: #000;
  --bs-table-hover-bg: #e5e6e7;
  --bs-table-hover-color: #000;
}

.table-dark {
  --bs-table-color: #fff;
  --bs-table-bg: #212529;
  --bs-table-border-color: #373b3e;
  --bs-table-striped-bg: #2c3034;
  --bs-table-striped-color: #fff;
  --bs-table-active-bg: #373b3e;
  --bs-table-active-color: #fff;
  --bs-table-hover-bg: #323539;
  --bs-table-hover-color: #fff;
}

.table-group-divider {
  border-top: calc(var(--bs-border-width) * 2) solid var(--bs-primary);
  /*color:var(--bs-primary);*/
}

.page-link.active {
    --bs-pagination-active-bg: #027954;
    --bs-pagination-active-border-color: #027954;
}

.pagination {
    --bs-pagination-color: var(--bs-link-color);
    --bs-pagination-bg: var(--bs-body-bg);
    --bs-pagination-border-width: var(--bs-border-width);
    --bs-pagination-border-color: var(--bs-border-color);
    --bs-pagination-border-radius: var(--bs-border-radius);
    --bs-pagination-hover-color: var(--bs-link-hover-color);
    --bs-pagination-hover-bg: var(--bs-tertiary-bg);
    --bs-pagination-hover-border-color: var(--bs-border-color);
    --bs-pagination-focus-color: var(--bs-link-hover-color);
    --bs-pagination-focus-bg: var(--bs-secondary-bg);
    --bs-pagination-focus-box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
    --bs-pagination-active-color: #fff;
    --bs-pagination-active-bg: #027954 !important;
    --bs-pagination-active-border-color: #027954 !important;
    --bs-pagination-disabled-color: var(--bs-secondary-color);
    --bs-pagination-disabled-bg: var(--bs-secondary-bg);
    --bs-pagination-disabled-border-color: var(--bs-border-color);
}

.link-primary:hover {
    text-decoration-color: RGBA(var(--bs-primary-rgb),var(--bs-link-underline-opacity,1)) !important;
}
